Subject: RE: draft-ietf-v6ops-nap-05

From: "Tony Hain" <[email-masked]>
Date: Mon, 4 Dec 2006 13:04:46 +1300

The 05 update to v6ops-nap- was sent to the ID editor earlier today.
Attached is the diff between it and the existing -04. I believe it addresses
all the outstanding comments.

Tony

> -----Original Message-----
> From: Ralph Droms [mailto:[email-masked]]
> Sent: Saturday, December 02, 2006 12:29 AM
> To: Tony Hain; 'Brian E Carpenter'
> Cc: 'Gunter Van de Velde (gvandeve)'; 'Eric Klein'; 'Fred Baker (fred)';
> 'Cullen Jennings'; 'Margaret Wasserman'
> Subject: Re: draft-ietf-v6ops-nap-04
> 
> This revision looks to me to be OK for publication...
> 
> - Ralph
> 
> 
> On 11/29/06 4:53 PM, "Tony Hain" <[email-masked]> wrote:
> 
> > Brian E Carpenter wrote:
> >> ...
> >> There is a classification of NAT types in RFC 2663 and another one
> >> in RFC 3489. But I'm not sure that would help us. I don't think the
> >> differences are significant in this context. They mainly affect the
> >> gymnastics needed by upper layers, and NAP6 avoids all that.
> >
> > I agree, the differences really don't make a difference here.
> >
> >>
> >>> and the one about an HA adding latency, which I
> >>> believe is bogus in context since the HA is sitting on path as the nat
> >>> replacement.
> >>
> >> Might be worth saying exactly that: Any overhead introduced by the
> >> HA may be considered roughly equivalent to that introduced by a NAT,
> >> but without the additional overhead of an ALG.
> >
> > Added text:
> > Note that in this usage context the HA is replacing the NAT function at
> the
> > edge of the network, so concerns about additional latency for routing
> > through a tunnel to the HA do not apply because it is effectively on the
> > same path that the NAT traffic would have taken.
> >
> >>
> >> I agree with all the changes.
> >>
> >> Only one nit that the Editor isn't guaranteed to find struck me:
> >>
> >>> 4.4 Privacy and Topology Hiding using IPv6
> >>>
> >>> Partial host privacy is achieved in IPv6 using RFC 041 pseudo-random
> >>
> >> s/041/3041/
> >
> > Fixed.
> >
> >>
> >> Thanks for all the work.
> >>
> >>     Brian
> >
> > If all the authors agree with this version I will send it as -05.txt
> >
> > Tony
> >
> >